#
# spec file for package fabtests
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define git_ver .0.e32c9faa95a5

Name:           fabtests
Version:        1.6.2
Release:        lp152.1.4
Summary:        Test suite for libfabric API
License:        BSD-2-Clause OR GPL-2.0-only
Group:          Development/Tools/Other
Url:            http://www.github.com/ofiwg/fabtests
Source:         %{name}-%{version}%{git_ver}.tar.bz2
Source1:        fabtests-rpmlintrc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libfabric-devel >= %{version}
BuildRequires:  libtool
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Fabtests provides a set of examples that uses libfabric, a fabric software library.

%prep
%setup -q -n  %{name}-%{version}%{git_ver}

%build
./autogen.sh
%configure %{?_with_libfabric}
make %{?_smp_mflags}

%install
make %{?_smp_mflags} DESTDIR=%{buildroot} install

%files
%defattr(-,root,root)
%dir %{_datadir}/fabtests/

%{_bindir}/*
%{_mandir}/man7/*
%{_datadir}/fabtests/*

%doc AUTHORS COPYING README

%changelog
* Thu Oct 25 2018 nmoreychaisemartin@suse.com
- Update to version 1.6.2 (fate#325852)
  * No release notes available
* Wed Dec 20 2017 nmoreychaisemartin@suse.com
- Update to version 1.5.3
  * No release notes available
* Mon Nov 20 2017 nmoreychaisemartin@suse.com
- Update to version 1.5.2
  * No release notes available
* Mon Oct  9 2017 nmoreychaisemartin@suse.com
- Update to version 1.5.1
  * No release notes available
  * Bugfixes backported from master branch
* Tue Sep  5 2017 nmoreychaisemartin@suse.com
- Update _service to allow auto updates from github
* Thu Aug 10 2017 nmoreychaisemartin@suse.com
- Update to version 1.5.0.
  * No release notes available
  * Fixes bsc#1051636
- Build for all archs
* Fri Jun 30 2017 nmoreychaisemartin@suse.com
- Remove BuildRequires for psm/psm2 libs
- Add x86 build
* Thu Jun  8 2017 nmoreychaisemartin@suse.com
- Update to version 1.4.2 to keep the sync with libfabric.
  * No changes
- Add fabtests-rpmlintrc to remove warning concerning missing
  man pages
* Thu Mar 23 2017 jengelh@inai.de
- Fix RPM group.
- Trim filler words from description.
* Fri Mar 10 2017 josef.moellers@suse.com
- Updated to version 1.4.1 to keep the sync with libfabric.
  * Convert all error codes to exit status
  * Add a test for memory region operations.
  * fi_rdm_rma: Remove support for FI_CONTEXT
  * Add ubertest configurations for usnic provider.
  * Add a few more tests to fi_getinfo unit test
  * autogen: Fix reference to deleted file
  fate#321883
* Mon May  9 2016 ndas@suse.de
- Updated to version 1.3.0 to keep the sync with libfabric.
  fate#320742 comment #1
* Thu Apr  7 2016 ndas@suse.de
-	Initial Package,  Version 1.2.0 (fate#320742)
